/v1/account/signing_keys/{id}/certificate
API Key
Download X.509 certificate
Download the X.509 certificate for a signing key. By default returns the
certificate for the primary domain. Specify a domain parameter to get the
certificate for a specific domain.
Parameters
| Name | Location | Type | Description |
|---|---|---|---|
id
*
|
path | string | Signing key ID or key_id |
domain
|
query | string | Domain to get certificate for (default: primary domain) |
X-API-Key
*
|
header | string | API key for authentication |
* Required parameter
Response
Content-Type: application/json
success
boolean
data
object
X.509 certificate for a signing key
domain
string
Domain the certificate is for
Example: trust.example.com
key_id
string
Signing key identifier
Example: key-e5ee0524-3cfc-437b-af2e-5723ea295bbf
certificate_type
string
How the certificate was obtained
Allowed values: "self_signed", "acme", "uploaded"
Example: acme
subject
string
Certificate subject common name
Example: CN=trust.example.com
issuer
string
Certificate issuer common name
Example: CN=Let's Encrypt Authority X3
expires_at
string (date-time)
When the certificate expires
Example: 2027-01-01T00:00:00Z
san_dns_names
array[string]
Subject alternative DNS names
Example: ["trust.example.com"]
Array items:
certificate_chain_pem
array[string]
PEM-encoded certificate chain
Example: ["-----BEGIN CERTIFICATE-----\n..."]
Array items:
Code Examples
import os
from aho_sdk import AhoSdk
client = AhoSdk.account(api_key=os.environ["AHO_API_KEY"])
result = client.signing_keys.certificate(
id="example_id"
)
client = AhoSdk.account(api_key: ENV["AHO_API_KEY"])
result = client.signing_keys.certificate(
id: "example_id"
)
import { AhoSdk } from '@aho/sdk';
const client = AhoSdk.account({ apiKey: process.env.AHO_API_KEY });
const result = await client.signing_keys.certificate({
id: "example_id"
});
curl -X GET 'https://api.aho.com/v1/account/signing_keys/example_id/certificate' \
-H 'X-API-Key: $AHO_API_KEY'
Try It
Log in to test this endpoint directly from the documentation.
Log in